View Issue Details

IDProjectCategoryView StatusLast Update
0033049Open CASCADEOCCT:Modeling Datapublic2022-07-10 12:03
Reporterazv Assigned Toazv  
PrioritynormalSeverityblock 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0033049: Command 'tclean -geom' does not remove all geometric objects from the shape
DescriptionRemoving geometry with command 'tclean -geom s' does not work. It keeps some surfaces and 2D curves in the shape. Probably, these shapes are kept because of location applied.

The problem has been found during debugging of 0032716.
Steps To Reproduce
psphere s1 10
pcylinder s2 8 20
pcone s3 10 8 5
ttranslate s1 0 0 25
ttranslate s3 0 0 -5

baddobjects s1
baddtools s2 s3
bfillds
bbop s fuse

incmesh s 0.1
tclean -geom s

regexp {Dump of ([0-9+-]*) Curve2ds.*Dump of ([0-9+-]*) Curves.*Dump of ([0-9+-]*) surfaces} [dump s] full nbC2d nbC3d nbSurf
if {$nbC2d != 0 || $nbC3d != 0 || $nbSurf != 0} {
  puts "Error: geometry is not fully removed"
} else {
  puts "OK: shape has no geometry"
}
TagsNo tags attached.
Test case numberbugs/moddata_3/bug33049

Relationships

related to 0028026 closedbugmaster Modeling Data - BRepTools::Clean() does not clean all triangulation from shape 
child of 0032716 verifiedabulyche Modeling Algorithms - BRepBuilderAPI_Transform discards triangulation 

Activities

azv

2022-07-05 12:40

administrator   ~0109564

Please, review OCCT branch CR32716_2.
Test results: http://jenkins-test-occt/view/CR32716_2-master-AZV/view/COMPARE/

msv

2022-07-08 15:50

developer   ~0109698

For integration:
occt - CR32716_3
products - none

smoskvin

2022-07-10 11:22

administrator   ~0109718

Combination -
OCCT branch : IR-2022-07-08
master SHA - changes and them, and you can discard any commits you make in this
33c8a72788661285860902f261062e39f32a2d46
changes and them, and you can discard any commits you make in this
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-07-08 SHA - 79a687f1cd4081ec53ec08c201360e89fce62abc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18685.930000000586 / 18908.870000000694 [-1.18%]
Products
Total CPU difference: 11796.890000000125 / 11832.130000000114 [-0.30%]
Windows-64-VC14:
OCCT
Total CPU difference: 20784.828125 / 20752.59375 [+0.16%]
Products
Total CPU difference: 13361.3125 / 13368.90625 [-0.06%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Related Changesets

occt: master d74b1e9d

2022-07-01 15:59:40

azv


Committer: smoskvin Details Diff
0033049: Command 'tclean -geom' does not remove all geometric objects from the shape

Remove unused P-curves when cleaning the geometry
Affected Issues
0033049
mod - src/BRepTools/BRepTools.cxx Diff File
add - tests/bugs/moddata_3/bug33049 Diff File

Issue History

Date Modified Username Field Change
2022-07-01 15:08 azv New Issue
2022-07-01 15:08 azv Assigned To => azv
2022-07-01 15:08 azv Relationship added child of 0032716
2022-07-02 15:45 azv Status new => assigned
2022-07-04 09:42 kgv Relationship added related to 0028026
2022-07-05 12:40 azv Assigned To azv => msv
2022-07-05 12:40 azv Status assigned => resolved
2022-07-05 12:40 azv Note Added: 0109564
2022-07-07 21:56 azv Test case number => bugs/moddata_3/bug33049
2022-07-08 15:50 msv Assigned To msv => bugmaster
2022-07-08 15:50 msv Status resolved => reviewed
2022-07-08 15:50 msv Note Added: 0109698
2022-07-10 11:22 smoskvin Status reviewed => tested
2022-07-10 11:22 smoskvin Note Added: 0109718
2022-07-10 12:03 smoskvin Changeset attached => occt master d74b1e9d
2022-07-10 12:03 azv Assigned To bugmaster => azv
2022-07-10 12:03 azv Status tested => verified
2022-07-10 12:03 azv Resolution open => fixed